> For the complete documentation index, see [llms.txt](https://docs.colossyan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.colossyan.com/video-generation/video-generation-job/retrieve-video-generation-job.md).

# Retrieve video generation job

## Get video generation job status

> Retrieves the status, progress, and details of a specific video generation job.

```json
{"openapi":"3.0.3","info":{"title":"Video Generation Job Status API","version":"1.0.0"},"servers":[{"url":"https://app.colossyan.com/api/v1","description":"V1 API"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/video-generation-jobs/{videoGenerationJobId}":{"get":{"summary":"Get video generation job status","description":"Retrieves the status, progress, and details of a specific video generation job.","operationId":"getVideoGenerationJobStatus","parameters":[{"name":"videoGenerationJobId","in":"path","required":true,"schema":{"type":"string"},"description":"The ID of the video generation job."}],"responses":{"200":{"description":"Video generation job status and details retrieved successfully. The return value also contains all of the video-generation-job itself, which is not detailed here.","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"The current status of the video generation job.","enum":["in_queue","preprocessing","preprocessing_finished","generating","finished","failed","deleted"]},"videoId":{"type":"string","description":"The ID of the provisioned generated video"},"progress":{"type":"number","description":"The current progress of the video generation job."},"maximumProgress":{"type":"number","description":"The maximum progress value of the video generation job."}}}}}},"400":{"description":"Bad Request. Invalid videoGenerationJobId parameter."},"401":{"description":"Unauthorized. Authentication required."},"404":{"description":"Not Found. Video generation job not found."},"500":{"description":"Internal server error."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.colossyan.com/video-generation/video-generation-job/retrieve-video-generation-job.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
